Debian Bug report logs - #367001
"Publish" produces broken links

version graph

Package: wordpress; Maintainer for wordpress is Craig Small <csmall@debian.org>; Source for wordpress is src:wordpress.

Reported by: Daniel Leidert <daniel.leidert@wgdd.de>

Date: Fri, 12 May 2006 18:33:21 UTC

Severity: minor

Tags: confirmed

Found in version wordpress/2.0.2-2

Fixed in version wordpress/2.0.4-2

Done: Kai Hendry <hendry@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Hendry <hendry@iki.fi>:
Bug#367001; Package wordpress. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
New Bug report received and forwarded. Copy sent to Kai Hendry <hendry@iki.fi>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: "Publish" produces broken links
Date: Fri, 12 May 2006 20:26:36 +0200
Package: wordpress
Version: 2.0.2-2
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

When I write a post, which contains a link in HTML format <a
href="somewhere">whatever</a> and then click on "Publish", the href
attribute is changed and becomes a xhref attribute. The resulting link
<a xhref="somewhere">whatever</a> then is broken. I have to edit the
post in HTML source mode to work around this issue.

Can you please check and fix this?

Thanks in advance.
Regards, Daniel


- -- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (850, 'unstable'), (700, 'testing'), (550, 'stable'), (110, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.08060320
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEZNNcdg0kG0+YFBERAiKAAJ9UKqqJsTPb51cauXcEHZcfQTWyZgCfTChL
Ir3kHLwsMrzsSQuJ8jF1jcQ=
=NmO+
-----END PGP SIGNATURE-----



Tags added: confirmed Request was from Kai Hendry <hendry@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `minor' from `normal' Request was from Kai Hendry <hendry@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#367001; Package wordpress. Full text and rfc822 format available.

Message #12 received at 367001@bugs.debian.org (full text, mbox):

From: Kai Hendry <hendry@iki.fi>
To: 367001@bugs.debian.org
Subject: Rich editor at fault
Date: Fri, 19 May 2006 17:51:47 +0900
Hi Daniel,

I think this bug is related to Wordpress upstream bug:
http://trac.wordpress.org/ticket/2372

I can confirm that bug is due to that nasty "Rich Editor" that most
people turn off.

Goto Options->Writing and untick "Users should use the visual rich
editor by default".

I'll leave the bug open until upstream does something about it.

Best wishes,



Reply sent to Kai Hendry <hendry@iki.fi>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 367001-close@bugs.debian.org (full text, mbox):

From: Kai Hendry <hendry@iki.fi>
To: 367001-close@bugs.debian.org
Subject: Bug#367001: fixed in wordpress 2.0.4-2
Date: Sun, 06 Aug 2006 11:32:21 -0700
Source: wordpress
Source-Version: 2.0.4-2

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive:

wordpress_2.0.4-2.diff.gz
  to pool/main/w/wordpress/wordpress_2.0.4-2.diff.gz
wordpress_2.0.4-2.dsc
  to pool/main/w/wordpress/wordpress_2.0.4-2.dsc
wordpress_2.0.4-2_all.deb
  to pool/main/w/wordpress/wordpress_2.0.4-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 367001@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kai Hendry <hendry@iki.fi> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  6 Aug 2006 12:39:56 +0100
Source: wordpress
Binary: wordpress
Architecture: source all
Version: 2.0.4-2
Distribution: unstable
Urgency: low
Maintainer: Kai Hendry <hendry@iki.fi>
Changed-By: Kai Hendry <hendry@iki.fi>
Description: 
 wordpress  - an award winning weblog manager
Closes: 367001 372128 379118
Changes: 
 wordpress (2.0.4-2) unstable; urgency=low
 .
   * examples/setup-mysql doesn't work with dash (Closes: #372128)
   * installs apache AND apache2 by default (Closes: #379118)
     Many thanks to Fabio Tranchitella and Jesus Climent
   * "Publish" produces broken links (Closes: #367001)
     Disabled "Rich editor" by default
Files: 
 6b9db5bf56b63422333ebcce409a73b3 558 web optional wordpress_2.0.4-2.dsc
 0bda84032e3bd3b4415dd011e9fe9698 7556 web optional wordpress_2.0.4-2.diff.gz
 2b81959f00e00eacebeb4ac56cb3001f 509722 web optional wordpress_2.0.4-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFE1jLjK/juK3+WFWQRAgqHAJ0YDWbs26KoxeJfquVFAEIYCzwk3QCfef45
j4doBuu7fcgiWt/LdAjVFdQ=
=RCxf
-----END PGP SIGNATURE-----




Changed Bug submitter from Daniel Leidert <daniel.leidert.spam@gmx.net> to Daniel Leidert <daniel.leidert@wgdd.de>. Request was from Daniel Leidert <daniel.leidert@wgdd.de> to control@bugs.debian.org. (Sat, 24 Mar 2007 23:53:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:28:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:12:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.